Subject: Re: Message from 'git-rebase'; German translation

From: Sascha Cunz <[email-masked]>
Date: Sun, 23 Sep 2012 19:57:51 +0200

Am Sonntag, 23. September 2012, 19:34:23 schrieb Ralf Thielow:
> On Sun, Sep 23, 2012 at 5:41 PM, Sascha Cunz <[email-masked]> 
wrote:
> > Exactly. The meaning is more important then the exact wording. Please
> > consider> 
> > this:
> >         Es wurden Neuaufbau- / Zusammenführungs-Informationen gefunden.
> 
> We can't change the "... Verzeichnis *rebase-merge* ..." part of the
> message, because "rebase-merge" is a substitution and we have to use all of
> them.
> >         Falls ein Neuaufbau bereits im Gange ist, versuche bitte:
> >                 git rebase (--continue | --abort | --skip)
> >         
> >         Sollte dies nicht der Fall sein, können die Informationen durch
> >         
> >                 rm -fr "$(GIT_DIR)/rebase-merge"
> >         
> >         entfernt werden. Es wird angehalten, falls etwas Schützenswertes
> >         gefunden werden sollte.
> > 
> > It sounds way cleaner (to me at least) and transports all of the meaning.
> > Esp. for  the last sentence, it's very hard to find something in German
> > that doesn't sound 'destructive'.
> 
> Not sure why you change "vorhanden ist" to "gefunden werden sollte".
> Maybe we should use a combination? See below.

Probably a result of my initial misunderstanding of the original text. As I 
pointed out in another mail on this thread, I think the real meaning is: "Es 
wird [jetzt] angehalten, _weil_ dort [im Rebase-Merge Verzeichnis] noch etwas 
Schützenswertes vorhanden sein könnte".

> > Btw: In the past I've seen quite a few topics on translation on this list
> > - is this at all the right place for that kind of discussion?
> 
> Different translation teams use different places for discussions.
> The German uses this list.
> 
> Like this, maybe.

Yes, that is already much better.

> [PATCH] l10n: de.po: improve translation of a rebase message
> 
> The word "still" was translated as "bereits", change
> it to "noch". "valuable" was translated as "nützlich"
> which is more like "useful" than "valuable", change it
> to "schützenswert".
> 
> Noticed-by: Sascha Cunz <[email-masked]>
> Signed-off-by: Ralf Thielow <[email-masked]>
> 
> diff --git a/po/de.po b/po/de.po
> index 2739bc0..7fc0185 100644
> --- a/po/de.po
> +++ b/po/de.po
> @@ -5756,8 +5756,8 @@ msgstr ""
>  "\t$cmd_live_rebase\n"
>  "Wenn das nicht der Fall ist, probiere bitte\n"
>  "\t$cmd_clear_stale_rebase\n"
> -"und führe dieses Kommando nochmal aus. Es wird angehalten, falls
> bereits\n" -"etwas Nützliches vorhanden ist."
> +"und führe dieses Kommando nochmal aus. Es wird angehalten, falls noch\n"
> +"etwas Schützenswertes vorhanden ist."
> 
>  #: git-rebase.sh:395
>  #, sh-format
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html